oracle 8.1.7 on SLES 8 vs RHEL 3

Andrey Lyashenko
Дата: 30.09.2004 18:29:13
На что лучше поставить восьмерку, SUSE или RedHat? Выбор делается между одинаковыми по цене (на оракл лицензия тоже есть) дистрибутивами,
Red Hat Enterprise Linux ES 3 Standard x86 и SuSE Linux Enterprise Server 8 x86. Оба дистрибутива официально поддерживаются ораклом. Дабы не провоцировать религиозные войны, хотелось бы сразу услышать внятные аргументы. Насколько я знаю, на RHEL восьмерка ставится с длительными плясками с бубном и без гарантий успешной работы, а все из-за glibc 2.3.
И есть ли прецеденты установки восьмерки на ядро 2.6?

PS: варианты типа "возьми девятый оракл" не годятся по лицензионным соображениям... Я выбираю операционку под БД, а не наоборот. :)
shkoda
Дата: 01.10.2004 08:36:01
Я достаточно работаю с SLES8 с момента его выхода, с 8-м ораклом никаких танцев, с 9-м впрочем тоже. SLES8 как прокладка между железом и ораклом со своей задачей справляется.

С шапокой не работал, не тянет, я их десктоп не понял. Изврат ИМХО сплошной :( Хотя дело привычки.

На 2.6 ядро SLES9 и RHES4 (beta) не сертифицировано пока, 8-ой оракл врядли будут вообще сертифицировать.

Если у вас куплено N лицензий на оракл, то пофигу что юзать 8, 9 или 10.
Миграция со SLES8 на SLES9 бесплатна, мне вообще диски с 9-м слесом прислали бесплатно.

Если надумаете покупать слес, то: Не покупайте через новел (долго ужасно) и партнеров работающих с ним. Геморно (это очень мягкое слово), нам электронная лицензия шла последний раз больше месяца, а дистриб уже 3 или 4 ый месяц везут. Если дадут денег, то бериту поддержку на максимальный срок, дешевле и потом тебе проблем меньше.
sanek842
Дата: 01.10.2004 13:46:20
Насколько я знаю, на RHEL восьмерка ставится с длительными плясками с бубном и без гарантий успешной работы, а все из-за glibc 2.3

glibc нужен только для сборки, а т.к. oracle 8.1.7 требует glibc 2.1 , то нужно просто дополнительно взять пакет i386-glibc-2.1-linux.tar.gz ( This is a glibc 2.1 compatibility C software development kit ... ) , растарить, и временно ( для инсталляции оракла ) сделать симв. ссылки /usr/bin/gcc и /usr/bin/ld на те что из этого пакета. Т.о. при компиляции будет исп-ся glibc 2.1 , а не 2.3
На RHEL3 при этом у меня все поставилось без единой ошибки

P.S.
ставил чисто из академического интереса :)
Andrey Lyashenko
Дата: 01.10.2004 14:13:19
Я пробовал ставить восьмерку на red hat 9, там тоже glibc 2.3. Подменил библиотеки, ld и все остальное, поставил все compat*.rpm, переключил тип threads, подменил ява-машину, короче, все рекомендации выполнил, какие только нашел. Даже инсталлятор не поднялся. :)
sanek842
Дата: 01.10.2004 15:08:45
круто :)
ну, если быть точным и не врать, скажу что до инсталляции 8-ки я 9-ку ставил, а там нужен был патч 3006854 , который как раз эту проблему фиксит - проблема запуска инсталлятора.
Вот вырезка из его реадми

# Platform Patch for : LINUX Intel
#
# Bugs Fixed by this patch:
# -------------------------
# 3006854, INSTALLER INTEROPERABILITY PATCH FOR RHEL3.0
#
# This patch must be installed on systems running Red Hat Enterprise Linux 3.0
# before running the Oracle Universal Installer (for any Oracle product).


прокатит это на RH9 или нет, незнаю...
chupachups
Дата: 04.10.2004 15:22:53
Для безболезненной установки 8-ки на RH нужен багфикс bug2062423. В нем есть новый инсталлер и заглушка для glibc.
shkoda
Дата: 05.10.2004 10:49:33
И за что любят эту шапку?
На СЛЕСе:
1. Делаем online update.
2. rpm -i orarun.rpm
3. Правим в /etc/sysconfig/oracle
4. Правим в /etc/profile.d/oracle*
5. Запускаем инсталлер и наслаждаемся.
Сразу имеем сприпты по запуску\остановке. Не надо вычитывать по миллиону форумов что и когда делать. Если что не понятно еще раз читаем СУСЕ-шный мануал по установке.
Andrey Lyashenko
Дата: 07.10.2004 10:24:03
>нужен багфикс bug2062423. В нем есть новый инсталлер и заглушка для glibc

Нигде не смог найти этого фикса. Кто-нибудь поделится?